package cn.com.countrygarden.bi.main.dao.dataMigration;

import cn.com.countrygarden.bi.main.model.dataMigration.DispatchRecord;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * 调度记录表
 * Created by ADMS on 2018/9/18.
 */
public interface DispatchRecordMapper {

    void insert(DispatchRecord dispatchRecord);

    int update(@Param("id")Long id, @Param("endDate")Date endDate, @Param("endSignId")Long endSignId);

    List<DispatchRecord> select(@Param("startDate")Date startDate, @Param("endDate")Date endDate);

    Integer findMaxBatchCode(String interfaceCode);
}
